﻿function MyExtension() {
	var self = this;
	self.refresh();	
	kango.ui.browserButton.addEventListener(kango.ui.browserButton.event.COMMAND, function() {
		kango.browser.tabs.create({url: 'https://goldenclone.com/mail'});
		self.refresh();
	});
	window.setInterval(function(){self.refresh()}, self._refreshTimeout);
}

MyExtension.prototype = {

	_refreshTimeout: 60*1000*10,	// 1 minutes
	_feedUrl: 'https://goldenclone.com/interface/updates',
	
	_setOffline: function() {
		kango.ui.browserButton.setTooltipText(kango.i18n.getMessage('Offline'));
		kango.ui.browserButton.setIcon('icons/button_gray.png');
		kango.ui.browserButton.setBadgeValue(0);
	},
	
	_setUnreadCount: function(count) {
		kango.ui.browserButton.setTooltipText(kango.i18n.getMessage('Unread count') + ': ' + count);
		kango.ui.browserButton.setIcon('icons/button.png');
		kango.ui.browserButton.setBadgeValue(count);
		kango.ui.BrowserButton.badge.backgroundColor = '#04B404';
	},
	
	refresh: function() {		
		var details = {
			url: this._feedUrl,
			method: 'GET',
			async: true,
			contentType: 'json'	
		};
		var self = this;
		kango.xhr.send(details, function(data) {
			if(data.status == 200) {
				var count = data.response;
								
				self._setUnreadCount(count.inbox);
			}
			else { // something went wrong
				self._setOffline();
			}
		});
	}
};

var extension = new MyExtension();